import { BooleanInput } from '@angular/cdk/coercion';
import { ElementRef, EventEmitter, OnDestroy, OnInit, Renderer2 } from '@angular/core';
import { Subscription } from 'rxjs';
import { ElementHighlighterService } from '../element-highlighter.service';
import * as i0 from "@angular/core";
export declare class ElementHighlighterComponent implements OnInit, OnDestroy {
    private elementRef;
    private highlightService;
    private renderer;
    highlightElement: string;
    highlightNext: string;
    highlightTooltip: string;
    get highlightDisableBackdropAutoClose(): BooleanInput;
    set highlightDisableBackdropAutoClose(value: BooleanInput);
    private _highlightDisableBackdropAutoClose;
    spHighlightBackDropClick: EventEmitter<any>;
    highlightSubscription: Subscription;
    constructor(elementRef: ElementRef, highlightService: ElementHighlighterService, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    removeOverlay(showNext?: boolean): Promise<void>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ElementHighlighterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ElementHighlighterComponent, "[spHighlight]", never, { "highlightElement": "spHighlight"; "highlightNext": "spHighlightNext"; "highlightTooltip": "spHighlightTooltip"; "highlightDisableBackdropAutoClose": "spHighlightDisableBackdropAutoClose"; }, { "spHighlightBackDropClick": "spHighlightBackDropClick"; }, never, ["*"]>;
}
